<template>
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <line-chart :chart-data="data" :height="150" :options="{
                    responsive: true,
                    maintainAspectRation: true
                }">

                </line-chart>
            </div>
        </div>
    </div>
</template>

<script>
    import LineChart from './LineChart';
    export default {
        components:{
          LineChart
        },
        data: function(){
          return{
              data:[]
          }
        },
        mounted() {
            this.update()
        },
        methods: {
            update: function () {
                axios.get('/graphs/data-chart').then((response) =>{
                    console.log(response);
                    this.data = response.data
                })
            }
        }
    }
</script>
